diff --git a/doc/src/sgml/stylesheet-fo.xsl b/doc/src/sgml/stylesheet-fo.xsl
index e7916a6a883..e8d9237ae51 100644
--- a/doc/src/sgml/stylesheet-fo.xsl
+++ b/doc/src/sgml/stylesheet-fo.xsl
@@ -32,6 +32,8 @@ an "Unresolved ID reference found" warning during PDF builds.
 <xsl:param name="use.extensions" select="1"></xsl:param>
 <xsl:param name="variablelist.as.blocks" select="1"></xsl:param>
 <xsl:param name="orderedlist.label.width">1.5em</xsl:param>
+<xsl:param name="body.start.indent">0</xsl:param>
+<xsl:param name="body.end.indent">0</xsl:param>
 
 <xsl:attribute-set name="monospace.verbatim.properties"
                    use-attribute-sets="verbatim.properties monospace.properties">
@@ -46,6 +48,8 @@ an "Unresolved ID reference found" warning during PDF builds.
   <xsl:attribute name="padding-end">12pt</xsl:attribute>
   <xsl:attribute name="padding-top">6pt</xsl:attribute>
   <xsl:attribute name="padding-bottom">6pt</xsl:attribute>
+  <xsl:attribute name="margin-left">0.25in</xsl:attribute>
+  <xsl:attribute name="margin-right">0.25in</xsl:attribute>
 </xsl:attribute-set>
 
 <xsl:attribute-set name="admonition.title.properties">
@@ -98,7 +102,7 @@ an "Unresolved ID reference found" warning during PDF builds.
 <xsl:template match="entry[@role='func_table_entry']/para">
   <fo:block margin-left="4em" text-align="left">
     <xsl:if test="self::para[@role='func_signature']">
-      <xsl:attribute name="text-indent">-3.5em</xsl:attribute>
+      <xsl:attribute name="margin-left">0em</xsl:attribute>
     </xsl:if>
     <xsl:apply-templates/>
   </fo:block>
@@ -108,12 +112,23 @@ an "Unresolved ID reference found" warning during PDF builds.
 <xsl:template match="entry[@role='catalog_table_entry']/para">
   <fo:block margin-left="4em" text-align="left">
     <xsl:if test="self::para[@role='column_definition']">
-      <xsl:attribute name="text-indent">-3.5em</xsl:attribute>
+      <xsl:attribute name="margin-left">0em</xsl:attribute>
     </xsl:if>
     <xsl:apply-templates/>
   </fo:block>
 </xsl:template>
 
+<xsl:param name="shade.verbatim">1</xsl:param>
+<xsl:attribute-set name="shade.verbatim.style">
+  <xsl:attribute name="border">1pt solid black</xsl:attribute>
+  <xsl:attribute name="margin-left">0</xsl:attribute>
+  <xsl:attribute name="margin-right">0</xsl:attribute>
+  <xsl:attribute name="background-color">#EFEFEF</xsl:attribute>
+  <xsl:attribute name="padding">5pt</xsl:attribute>
+  <xsl:attribute name="padding-bottom">10pt</xsl:attribute>
+  <xsl:attribute name="padding-top">0pt</xsl:attribute>
+</xsl:attribute-set>
+
 <!-- overrides stylesheet-common.xsl -->
 <!-- FOP needs us to be explicit about the font to use for right arrow -->
 <xsl:template match="returnvalue">
